#include <mlvalues.h>
#include <alloc.h>
#include "unix.h"

#ifdef HAS_SOCKETS

#include <sys/socket.h>

extern int socket_domain_table[], socket_type_table[];

value unix_socketpair(domain, type, proto) /* ML */
     value domain, type, proto;
{
  int sv[2];
  value res;
  if (socketpair(socket_domain_table[CINT(domain)],
                 socket_type_table[CINT(type)],
                 Int_val(proto), sv) == -1)
    uerror("socketpair", Nothing);
  res = alloc_tuple(2);
  Field_tuple(res,0) = Val_int(sv[0]);
  Field_tuple(res,1) = Val_int(sv[1]);
  return res;
}

#else

value unix_socketpair() { invalid_argument("socketpair not implemented"); }

#endif
